From 7ba1b55aa79c56ded770f8ea46716eb054fbfe78 Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Sun, 19 Dec 2010 22:08:49 +0000
Subject: [PATCH] api-support: Fix detection of similar APIs.

Because we didn't match on word boundaries, the previous
code would get confused by similar APIs, eg. getxattr vs getxattrs.
---
 src/api-support/update-from-tarballs.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/api-support/update-from-tarballs.sh b/src/api-support/update-from-tarballs.sh
index 8579825..241cd16 100755
--- a/src/api-support/update-from-tarballs.sh
+++ b/src/api-support/update-from-tarballs.sh
@@ -84,7 +84,7 @@ for v in $rev_versions; do
     for sym in $symbols; do
         # If symbol is missing from the file, that indicates it
         # was added in the previous file we checked ($previous).
-        if ! grep -sq $sym $v; then
+        if ! egrep -sq \\b$sym\\b $v; then
             echo $sym $previous >&5
         else
             next_symbols="$next_symbols $sym"
-- 
1.8.3.1